#!/bin/bash

# Define a permissão para tornar o script executável
# chmod +x run_tests.sh

# Caminho para o arquivo de coleção de exemplos
COLLECTION_FILE="./Control.postman_collection.json"
HTML_REPORT="report.html"

# Executa os testes e gera um relatório HTML
newman run $COLLECTION_FILE --reporters cli,html --reporter-html-export $HTML_REPORT

# Informa ao usuário que os testes foram concluídos
echo "Testes concluídos. Relatório HTML gerado em report.html"
